Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libsoup
Version:	2.4.1
Release:	1
License:	GNU/LGPL 
URL:		ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Soup is an HTTP library implementation.
Requires: 	glib
Requires: 	gnutls
Requires: 	libxml2
BuildRequires: 	glib-devel
BuildRequires: 	gnutls-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	pkg-config
BuildRequires:  glibc-devel
BuildRequires:  zlib-devel
Obsoletes:	libsoup-doc

%description
Soup is an HTTP library implementation in C. It was originally part of
a SOAP (Simple Object Access Protocol) implementation, but the SOAP
code was later removed (and then later partially reimplemented...)

Soup uses GObjects and the glib main loop, and is designed to work
well with Gtk/GNOME applications. This enables GNOME applications to
access HTTP servers on the network in a completely asynchronous
fashion, very similar to the Gtk+ programming model (a synchronous
operation mode is also supported for those who want it).

Soup also contains code to implement an HTTP/1.1 server.

Features:
  * (Optionally) completely asynchronous
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication

See the test programs in tests/ for simple examples of how to use the
code, or evolution-data-server and evolution-exchange for more
complicated examples.

%package devel
Summary: 	Header files for the Soup library
Group: 		Development/Libraries
Requires: 	%{name} = %{version}
Requires:	glib-devel
Requires: 	gnutls-devel
Requires: 	libxml2-devel

%description devel
Libsoup is an HTTP library implementation in C. This package allows 
you to develop applications that use the libsoup library.


%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL 
%{_libdir}/lib*.so.*
%_datadir/gtk-doc

%files devel
%defattr(-, root, root)
%{_includedir}/libsoup-2.4
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
#%{_datadir}/gtk-doc/html/libsoup
%{_libdir}/*.la
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version Update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.0-1
- Version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.100-1
- Version Update
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.96-1
- Version update
* Fri Oct 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.95.1-1
- Version Update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.94-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.91-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.2.7-1
- Initial Release
